* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
   
}

body {
    font-family: 'Noto Serif', serif;
    font-size: 16px;
    line-height: 1.6;
    background-image: url('');
    background-size: cover; 
    background-position: center;
    background-attachment: fixed;
}

/*INICIO*/

/*SECCION QUIENES SOMOS*/


/*MISION Y VISION*/
#mision-vision .card {
    border-radius: 20px;
    padding: 20px;
    background: linear-gradient(135deg,  #b47a1a ,   #ffe55a ,   #b47a1a );
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    margin-top  : 3rem;
}

#mision-vision .card:hover {
    transform: scale(1.05);
    box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.2);
}

.card-title {
    color: #000000;
    font-size: 3rem;
    border-bottom: 2px solid #000000; 
    padding-bottom: 5px; 
    display: inline-block;
    width: 100%; 
}
.card-text {
    font-size: 1.4rem;
    color: #333;
}

@media (max-width: 768px) {
    #mision-vision .card {
        margin-bottom: 20px;
    }
}
/*Imagen descrpcion*/

.image-text-section {
    background-color: transparent;
  }
  
  .section-title {
    font-size: 2rem; /* Ajusta el tamaño del título */
    font-weight: bold;
    color: #333;
  }
  
  /* Ajustar tamaño de la imagen */
  .img-small {
    max-width: 70%; /* Imagen más pequeña */
    max-height: 340px; /* Altura máxima */
    object-fit: contain; /* Mantiene proporciones */
    border-radius: 8px;
  }

/*VALORES*/
.n-valores {
    font-size: 3rem; 
    background: linear-gradient(45deg, #000000, #000000);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    text-align: center;         
    margin-bottom: 1.5rem;      
    text-transform: uppercase;  
    letter-spacing: 1px;         
    position: relative;       
    border-bottom: 3.5px solid rgb(182, 129, 31);
    padding-bottom: 10px;
    margin-top: 150px;
}

.valor-container {
    position: relative;
    padding: 20px;
}

.icono-valor {
    background: #797101;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: transform 0.3s ease;
}

.valor-container:hover .icono {
    transform: scale(1.2);
}

.valor-descripcion {
    display: none;
    margin-top: 5px;
    padding: 10px;
    background-color: #f1f1f14b;
    border-radius: 35px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    font-size: 14px;
}

.valor-container:hover .valor-descripcion {
    display: block;
}


/*POR QUE CONFIAR EN NOSOTROS */
#confiar {
    border-radius: 12px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0);
    padding: 2rem;
    margin: 2rem auto;
    max-width: 1000px;
}

.titulo-confiar {
    font-size: 2.5rem; 
    font-family: 'Noto Serif', 'Arial Narrow', Arial, sans-serif;
    background: linear-gradient(35deg, #000000, #000000);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    text-align: center;         
    margin-bottom: 1.5rem;      
    text-transform: uppercase;  
    position: relative;       
    border-bottom: 3.5px solid rgb(182, 129, 31);
    padding-bottom: 10px;
    margin-top: 2.5rem;
}

.confiar-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 1.5rem;
    margin-top: 1rem;
}

/* Estilo de cada tarjeta */
.item {
    background: rgb(1, 35, 113);
    border-radius: 10px;
    padding: 2.2rem;
    text-align: center;
    box-shadow: 0 4px 6px rgb(255, 255, 255);
    border: 2px solid #e0e4ff;
    width: 220px;
    transition: all 0.3s ease-in-out;
}


.item i {
    margin-bottom: 1rem;
    transition: color 0.3s ease;
    color: #ffffff; 
    font-size: 2.1rem; 
}

.item:hover i {
    color: rgb(180, 122, 26);
}

.item p {
    font-size: 1rem;
    color: #ffffff;
    margin: 0;
    font-weight: 500;
}

/*OFRECEMOS*/
.animate-hidden {
    opacity: 0;
    transform: translateY(150px); 
    transition: transform 1s ease-out, opacity 1s ease-out; 
}
.animate-slide {
    opacity: 1;
    transform: translateY(0);
    transition: transform 1s ease-out, opacity 1s ease-out;
}

.ofrecemos-items {
    display: flex;
    justify-content: space-around;
    gap: 1rem;
    margin-top: 2rem;
}
.titulo-ofrecemos {
    
    text-align: center; 
    background: linear-gradient(45deg, #000000, #000000);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    font-size: 2.5rem;
}


.subtitu {
    
    font-size: 2.3em; 
    color: #a26c00;
    text-align: center; 
}

/*MODALIDADES*/
#modalidades-trabajo {
    background-color: #f9f9f900; 
    border-radius: 12px; 
    padding: 20px; 
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0); 
    margin-top: 20px;
}
.titulo-modalidades {
    font-size: 2.5rem;
    background: linear-gradient(45deg, #000000, #000000);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1px;
    margin-bottom: 20px;
    position: relative;
    left: 0;
    opacity: 0;
    transform: scale(0.8);
    transition: transform 0.5s ease-out, opacity 0.5s ease-out;
}

.titulo-modalidades.animate {
    font-size: 2.5rem;
    opacity: 1;
    transform: scale(1);
}


@keyframes appearZoom {
    to {
        opacity: 1;
        transform: scale(1); 
    }
}
.card-modalidades {
    background-color: rgba(255, 255, 255, 0);
    border-radius: 10px;
    padding: 15px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}
.card-title-modalidades {
    
    font-family: 'Noto Serif', serif;
    font-size: 1.5rem;
    color:  #a26c00;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    padding: 10px 0;
    border-bottom: 1px solid  #001575;
}
.des {
    
    font-size: 1.2rem;
    color: #555;
    line-height: 1.5;
    margin: 15px 0;
    display: none;
    text-align: justify;
}
.des.active {
    display: block;
}

.toggle-icon {
    font-size: 1.5rem;
    color: #888;
    transition: transform 0.3s ease;
}
.card-title-modalidades.expanded .toggle-icon {
    transform: rotate(180deg);
}
hr {
    border: none;
    border-top: 1px solid #e0e0e0;
    margin: 20px 0;
}


/*EMPRESAS*/
.titulo-empresas {
    font-size: 2rem; 
    background: linear-gradient(45deg, #000000, #000000);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    text-align: center;         
    margin-bottom: 1.5rem;      
    text-transform: uppercase;  
    letter-spacing: 1px;         
    position: relative;       
    border-bottom: 3.5px solid rgb(182, 129, 31);
    padding-bottom: 10px;
    margin-top: 3rem;
}
.marcas-container {
    width: 100%;
    overflow: hidden;
}
.marcas {
    display: flex;
    animation: moveCarousel 20s linear infinite;
}
.logo {
    width: 130px;
    margin-right: 20px;
}

@keyframes moveCarousel {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}
/*SERVICIOS*/
.text-serv {
    font-family: 'Noto Serif', serif;
    font-size: 4rem;
    background: linear-gradient(45deg, #000000, #3e0863);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    margin-bottom: 20px;
    text-align: center;
    border-bottom: 3.5px solid rgb(182, 129, 31);
    padding-bottom: 10px;
    text-transform: uppercase;  
}


.text-sub-serv {
    font-family: 'Noto Serif', serif;
    background: linear-gradient(45deg, #ffa600, #000000);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 1.9rem;
    text-align: center;
    margin-top: 1rem;
}

.text-desc-serv {
    color: #000000;
    font-size: 1.2rem;
}

.row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.col-md-6, .col-lg-4 {
    display: flex;
    align-items: stretch;
    margin-bottom: 1.5rem;
}

.card-serv {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 0.9s;
}

.card-body-front, .card-body-back {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.card img {
    max-height: 150px;
    object-fit: cover;
    margin-bottom: 1rem;
}
.nombre {
    font-weight: bold;
    text-align: center;
    font-size: 0.5rem;
}
.nombre-comer {
    font-weight: bold;
    text-align: center;
    font-size: 0.6rem;
    font-family: 'Noto Serif', serif;
    margin-bottom: 20px;
}

.card-serv:hover {
    transform: rotateY(180deg);
}

.card-title-serv {
    background: linear-gradient(45deg,  #3c422f, #010b79);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    font-size: 1.9rem;
    font-weight: bold;
    text-align: center;
}

.card-text-serv-front {
    font-size: 1.2rem;
    color: #333333; 
    margin-bottom: 1rem;
    line-height: 1.5; 
}
.card-text-serv-back {
    font-size: 1.2rem;
    color: #2c2c2c; 
    margin-bottom: 1rem; 
    line-height: 1.5;
    padding: 0.5rem; 
    text-align: center;
}

.card-body-front {
  position: relative;
    border-radius: 12px;
    padding: 2px; /* espacio para el borde */
    background: linear-gradient(45deg, #ff9d00, #ffffffd3, #07167a);
    border-radius: 8px;
}

.card-body-back {
    transform: rotateY(180deg);
    backface-visibility: hidden;
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: linear-gradient(45deg, #07167a, #ffffff, #ff9d00);

    border-radius: 8px;
}

.logo-empresa-serv {
    max-width: 30%;
    height: auto;
    margin: 0.5rem 0 1rem;
    object-fit: contain;
}

.card-body-back a.btn {
    background-color: #00055b;
    border: 1px solid #ffffff;color: #ffffff;
    margin-top: 0.1rem;
    padding: 0.5rem 1rem;
    border-radius: 80px;
}

.card-body-back a.btn:hover {
    background-color: #0714ff;
}
.animated-section {
    opacity: 0;
    transform: translateY(50px);
    transition: all 0.6s ease-in-out;
}

.animated-section.visible {
    opacity: 1;
    transform: translateY(0);
}

/* Estilo para el modal */
.modal .modal-content {
    background-color: #000000ca;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.modal-header {
    background-color: #110068;
    color: white;
    border-bottom: none;
    padding: 15px;
    border-radius: 10px 10px 0 0;
}

.modal-title {
font-size: 1.5rem;
font-weight: bold;
background: linear-gradient(45deg, #ffa600, #ffffff);
background-clip: text;
-webkit-text-fill-color: transparent;
text-align: center; 
width: 100%; 
display: block;
}
.modal-header .close {
    color: white;
    opacity: 1;
    font-size: 1.2rem;
}

.modal-body {
    font-family: 'Arial', sans-serif;
    color: #ffffff;
    padding: 20px;
}

.modal-body p {
    font-size: 1.1rem;
    margin-bottom: 20px;
}
.contact-options {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 10px;
}

.btn-success, .btn-danger {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #28a745;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    color: white;
    transition: background-color 0.3s ease;
    text-decoration: none;
    min-width: 150px;
}

.btn-success:hover {
    background-color: #10401a;
}

.btn-danger {
    background-color: #0008ff;
}

.btn-danger:hover {
    background-color: #000845;
}
.btn-success i, .btn-danger i {
    margin-right: 8px;
    font-size: 1.2rem;
}

.modal-backdrop {
    background-color: rgba(0, 0, 0, 0.5) !important;
}

/*PRODUCTOS*/
.titulo-cat {
    font-size: 3rem; 
    background: linear-gradient(45deg, #000000, #0044ff);
    background-clip: text; 
    -webkit-text-fill-color: transparent;
    text-align: center;         
    margin-bottom: 1.5rem;      
    text-transform: uppercase;  
    letter-spacing: 1px;         
    position: relative;       
    border-bottom: 3.5px solid rgb(182, 129, 31);
    padding-bottom: 1px;
    margin-top: 1rem;
}

.categories {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border: 1px solid #ffffff00;
    padding: 15px;
    border-radius: 5px;
    background-color: #00000000;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0); 
}

.categories ul {
    padding: 0;
    list-style: none;
}

.categories ul li {
    padding: 5px 0;
    font-size: 17px;
    color: #333;
    cursor: pointer;
}

.categories ul li:hover {
    color: #be9b00;
    text-decoration: underline;
}

.categories ul li::before {
    content: '\2022'; 
    margin-right: 5px;
    color: #000560;
}
.product-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
}

.product {
    border: 1px solid rgba(182, 129, 31, 0);
    padding: 15px;
    border-radius: 5px;
    width: calc(33.333% - 20px); 
    box-sizing: border-box;
    text-align: center;
    background-color: #ff000000; 
    box-shadow: 0 2px 4px rgba(13, 0, 95, 0.1);
}

.product img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.product-title {
    font-size: 1.3rem; 
    font-weight: bold;
    color: #333;
    margin: 10px 0 5px; 
}

.product-description {
    font-size: 14px;
    color: #666;
    margin-bottom: 10px;
}

a.boton-productos {
    background-color: #00055b;
    border: 1px solid #ffffff;
    color: #ffffff;
    margin-top: 0.1rem;
    padding: 0.5rem 1rem;
    border-radius: 80px;
    font-size: 14px;
    text-decoration: none; 
    display: inline-block;
    text-align: center;
    width: fit-content;
    transition: background-color 0.3s ease;
}

a.boton-productos:hover {
    color: #967300;
    background-color: #00055b;
    text-decoration: none;
    transform: scale(1.05);

}.botones{
  background: linear-gradient(45deg, #0066ff, #3376f3d3,#07167a);
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 6px;
  transition: all 0.4s ease-in-out;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  cursor: pointer;
}
.botones:hover{
background: linear-gradient(135deg, #b47a1a, #ffe55a, #b47a1a);
color: #000000;
box-shadow: 0 6px 20px rgba(0, 123, 255, 0.4);
transform: translateY(-3px);
}
/*FOOTER*/
.social-icon svg {
    width: 24px;
    height: 24px;
    width: 24px;
    fill: #fff;
}
.social-icon:hover svg {
    fill: #939a00; 
    transform: scale(1.1);
    transition: fill 0.3s ease-in-out, transform 0.3s ease-in-out;
}

footer p, footer a {
    color: #dee2e6 !important;
}

footer a:hover {
    color: #939a00 !important;
    text-decoration: none;
}

footer .bg-dark {
    background-color: rgba(154, 155, 154, ) !important;
}

footer .text-light {
    color: #ffffff !important; 
}

footer .footer-copyright {
    color: #bbbbbb; 
}

.nombre-footer {
    font-weight: bold;
    text-align: center;
    font-size: 0.5rem;
}
.logo-empresa-footer {
    width: 100%; 
    max-width: 150px; 
    height: auto; 
}

@media (max-width: 768px) {
    .logo-empresa-footer {
        max-width: 100px; 
    }
}

/*CONTACTO*/
.modal .modal-content {
    background-color: #000000ca;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.modal-header {
    background-color: #110068;
    color: white;
    border-bottom: none;
    padding: 15px;
    border-radius: 10px 10px 0 0;
}

.modal-title {
    font-size: 1.5rem;
    font-weight: bold;
    background: linear-gradient(45deg, #ffa600, #ffffff);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center; 
    width: 100%; 
    display: block;
}

.modal-header .close {
    color: white;
    opacity: 1;
    font-size: 1.2rem;
}

.modal-body {
    font-family: 'Arial', sans-serif;
    color: #ffffff;
    padding: 20px;
}

.modal-body p {
    font-size: 1.1rem;
    margin-bottom: 20px;
}

.contact-options {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 10px;
}

.btn-success, .btn-danger {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #28a745;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    border-radius: 5px;
    color: white;
    transition: background-color 0.3s ease;
    text-decoration: none;
    min-width: 150px;
}

.btn-success:hover {
    background-color: #10401a;
}

.btn-danger {
    background-color: #0008ff;
}

.btn-danger:hover {
    background-color: #000845;
}

.btn-success i, .btn-danger i {
    margin-right: 8px;
    font-size: 1.2rem;
}

.modal-backdrop {
    background-color: rgba(0, 0, 0, 0.5) !important;
}

h1 {
    color: #000000 !important;
}

@media (min-width: 1200px) {
    .container {
        max-width: 90% !important;
    }
}
